#ifndef __GM_MCP_VMOO_CLIENT_H__
#define __GM_MCP_VMOO_CLIENT_H__

#include <glib-object.h>
#include <gtk/gtk.h>
#include "gm-mcp-package.h"

G_BEGIN_DECLS

/*
 * Type checking and casting macros
 */
#define GM_TYPE_MCP_VMOO_CLIENT					(gm_mcp_vmoo_client_get_type())
#define GM_MCP_VMOO_CLIENT(obj)					(G_TYPE_CHECK_INSTANCE_CAST((obj), \
		GM_TYPE_MCP_VMOO_CLIENT, GmMcpVmooClient))
#define GM_MCP_VMOO_CLIENT_CONST(obj)			(G_TYPE_CHECK_INSTANCE_CAST((obj),\
		GM_TYPE_MCP_VMOO_CLIENT, GmMcpVmooClient const))
#define GM_MCP_VMOO_CLIENT_CLASS(klass)			(G_TYPE_CHECK_CLASS_CAST((klass), \
		GM_TYPE_MCP_VMOO_CLIENT, GmMcpVmooClientClass))
#define GM_IS_MCP_VMOO_CLIENT(obj)				(G_TYPE_CHECK_INSTANCE_TYPE((obj), \
		GM_TYPE_MCP_VMOO_CLIENT))
#define GM_IS_MCP_VMOO_CLIENT_CLASS(klass)		(G_TYPE_CHECK_CLASS_TYPE ((klass), \
		GM_TYPE_MCP_VMOO_CLIENT))
#define GM_MCP_VMOO_CLIENT_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS((obj), \
		GM_TYPE_MCP_VMOO_CLIENT, GmMcpVmooClientClass))

/* Private structure type */
typedef struct _GmMcpVmooClientPrivate GmMcpVmooClientPrivate;

/*
 * Main object structure
 */
typedef struct _GmMcpVmooClient GmMcpVmooClient;
 
struct _GmMcpVmooClient {
	GmMcpPackage parent;
	
	/*< private > */
	GmMcpVmooClientPrivate *priv;
};

/*
 * Class definition
 */
typedef struct _GmMcpVmooClientClass 	GmMcpVmooClientClass;

struct _GmMcpVmooClientClass {
	GmMcpPackageClass parent_class;

	/* Signals
	void (* proto) (GmMcpVmooClient *obj); */
};

GType gm_mcp_vmoo_client_get_type(void) G_GNUC_CONST;
GmMcpVmooClient *gm_mcp_vmoo_client_new(void);

G_END_DECLS
#endif /* __GM_MCP_VMOO_CLIENT_H__ */
