#ifndef __GM_PARSER_H__
#define __GM_PARSER_H__

#include <glib.h>

typedef struct _GmParserResult {
	gboolean isOk;
	
	GList *errors;
	GList *warnings;
} GmParserResult;

typedef struct _GmParserError {
	gchar *message;
	gint line;
	gint ch;
} GmParserError;

GmParserResult *gm_parser_parse(GList *code);
void gm_parser_result_free(GmParserResult *result);

#endif
